"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WinningLine = exports.TileState = exports.Position = exports.Mode = void 0;
var Mode;
(function (Mode) {
    Mode[Mode["Continue"] = 0] = "Continue";
    Mode[Mode["Normal"] = 1] = "Normal";
})(Mode = exports.Mode || (exports.Mode = {}));
var Position;
(function (Position) {
    Position[Position["TopRight"] = 0] = "TopRight";
    Position[Position["TopMiddle"] = 1] = "TopMiddle";
    Position[Position["TopLeft"] = 2] = "TopLeft";
    Position[Position["MiddleRight"] = 3] = "MiddleRight";
    Position[Position["MiddleMiddle"] = 4] = "MiddleMiddle";
    Position[Position["MiddleLeft"] = 5] = "MiddleLeft";
    Position[Position["BottomRight"] = 6] = "BottomRight";
    Position[Position["BottomMiddle"] = 7] = "BottomMiddle";
    Position[Position["BottomLeft"] = 8] = "BottomLeft";
})(Position = exports.Position || (exports.Position = {}));
var TileState;
(function (TileState) {
    TileState[TileState["Draw"] = 0] = "Draw";
    TileState[TileState["Empty"] = 1] = "Empty";
    TileState["Player1"] = "X";
    TileState["Player2"] = "0";
})(TileState = exports.TileState || (exports.TileState = {}));
var WinningLine;
(function (WinningLine) {
    WinningLine[WinningLine["TopRow"] = 0] = "TopRow";
    WinningLine[WinningLine["MiddleRow"] = 1] = "MiddleRow";
    WinningLine[WinningLine["BottomRow"] = 2] = "BottomRow";
    WinningLine[WinningLine["LeftColumn"] = 3] = "LeftColumn";
    WinningLine[WinningLine["MiddleColumn"] = 4] = "MiddleColumn";
    WinningLine[WinningLine["RightColumn"] = 5] = "RightColumn";
    WinningLine[WinningLine["TopLeftBottomRightDiagonal"] = 6] = "TopLeftBottomRightDiagonal";
    WinningLine[WinningLine["TopRightBottomLeftDiagonal"] = 7] = "TopRightBottomLeftDiagonal";
    WinningLine[WinningLine["Surrender"] = 8] = "Surrender";
})(WinningLine = exports.WinningLine || (exports.WinningLine = {}));
//# sourceMappingURL=index.js.map