"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const checkIfTileState_1 = __importDefault(require("./checkIfTileState"));
const checkIfTile = (item) => {
    if (typeof item !== 'object') {
        return false;
    }
    const keys = Object.keys(item);
    if (keys.length !== 2 ||
        !keys.includes('index1D') ||
        typeof item.index1D !== 'number' ||
        !keys.includes('state') ||
        !(0, checkIfTileState_1.default)(item.state)) {
        return false;
    }
    return true;
};
exports.default = checkIfTile;
//# sourceMappingURL=checkIfTile.js.map