"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const boardSections_1 = __importDefault(require("../assets/boardSections"));
const checkIfTileBelongToSection = (position, sectionNumber) => {
    if (position < 0 || position >= 81) {
        throw new Error('position out of range');
    }
    if (sectionNumber === null) {
        return true;
    }
    if (sectionNumber < 0 || sectionNumber >= 9) {
        throw new Error('sectionNumber out of range');
    }
    const belongToSection = boardSections_1.default[sectionNumber].includes(position);
    return belongToSection;
};
exports.default = checkIfTileBelongToSection;
//# sourceMappingURL=checkIfTileBelongToSection.js.map