"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../types");
const checkIfHistory_1 = __importDefault(require("./checkIfHistory"));
const getActivePlayer = (history) => {
    if (!(0, checkIfHistory_1.default)(history)) {
        throw new Error('arg should be a valid history');
    }
    return history.length % 2 === 0 ? types_1.TileState.Player1 : types_1.TileState.Player2;
};
exports.default = getActivePlayer;
//# sourceMappingURL=getActivePlayer.js.map