"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.transposeMatrix = exports.play = exports.mapMatrix = exports.getTileIndexPositionAndSection = exports.getSections = exports.getPlayerMoves = exports.getIndex2DFrom1D = exports.getIndex1DFrom2D = exports.getActiveSection = exports.getActivePlayer = exports.generateBoardFromHistory = exports.generateAssets = exports.convertTo2DArray = exports.convertTo1DArray = exports.checkIfWon = exports.checkIfValidSection = exports.checkIfTileBelongToSection = exports.checkIfSectionState = exports.checkIfSectionIsFull = exports.checkIfHistory = exports.WinningLine = exports.TileState = exports.Position = exports.Mode = void 0;
const checkIfHistory_1 = __importDefault(require("./utils/checkIfHistory"));
exports.checkIfHistory = checkIfHistory_1.default;
const checkIfSectionIsFull_1 = __importDefault(require("./utils/checkIfSectionIsFull"));
exports.checkIfSectionIsFull = checkIfSectionIsFull_1.default;
const checkIfSectionState_1 = __importDefault(require("./utils/checkIfSectionState"));
exports.checkIfSectionState = checkIfSectionState_1.default;
const checkIfTileBelongToSection_1 = __importDefault(require("./utils/checkIfTileBelongToSection"));
exports.checkIfTileBelongToSection = checkIfTileBelongToSection_1.default;
const checkIfValidSection_1 = __importDefault(require("./utils/checkIfValidSection"));
exports.checkIfValidSection = checkIfValidSection_1.default;
const checkIfWon_1 = __importDefault(require("./utils/checkIfWon"));
exports.checkIfWon = checkIfWon_1.default;
const convertTo1DArray_1 = __importDefault(require("./utils/convertTo1DArray"));
exports.convertTo1DArray = convertTo1DArray_1.default;
const convertTo2DArray_1 = __importDefault(require("./utils/convertTo2DArray"));
exports.convertTo2DArray = convertTo2DArray_1.default;
const generateAssets_1 = __importDefault(require("./utils/generateAssets"));
exports.generateAssets = generateAssets_1.default;
const generateBoardFromHistory_1 = __importDefault(require("./utils/generateBoardFromHistory"));
exports.generateBoardFromHistory = generateBoardFromHistory_1.default;
const getActivePlayer_1 = __importDefault(require("./utils/getActivePlayer"));
exports.getActivePlayer = getActivePlayer_1.default;
const getActiveSection_1 = __importDefault(require("./utils/getActiveSection"));
exports.getActiveSection = getActiveSection_1.default;
const getIndex1DFrom2D_1 = __importDefault(require("./utils/getIndex1DFrom2D"));
exports.getIndex1DFrom2D = getIndex1DFrom2D_1.default;
const getIndex2DFrom1D_1 = __importDefault(require("./utils/getIndex2DFrom1D"));
exports.getIndex2DFrom1D = getIndex2DFrom1D_1.default;
const getPlayerMoves_1 = __importDefault(require("./utils/getPlayerMoves"));
exports.getPlayerMoves = getPlayerMoves_1.default;
const getSections_1 = __importDefault(require("./utils/getSections"));
exports.getSections = getSections_1.default;
const getTileIndexPositionAndSection_1 = __importDefault(require("./utils/getTileIndexPositionAndSection"));
exports.getTileIndexPositionAndSection = getTileIndexPositionAndSection_1.default;
const mapMatrix_1 = __importDefault(require("./utils/mapMatrix"));
exports.mapMatrix = mapMatrix_1.default;
const play_1 = __importDefault(require("./utils/play"));
exports.play = play_1.default;
const transposeMatrix_1 = __importDefault(require("./utils/transposeMatrix"));
exports.transposeMatrix = transposeMatrix_1.default;
const types_1 = require("./types");
Object.defineProperty(exports, "Mode", { enumerable: true, get: function () { return types_1.Mode; } });
Object.defineProperty(exports, "Position", { enumerable: true, get: function () { return types_1.Position; } });
Object.defineProperty(exports, "TileState", { enumerable: true, get: function () { return types_1.TileState; } });
Object.defineProperty(exports, "WinningLine", { enumerable: true, get: function () { return types_1.WinningLine; } });
//# sourceMappingURL=index.js.map