"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const checkIfHistory_1 = __importDefault(require("./checkIfHistory"));
const checkIfMode_1 = __importDefault(require("./checkIfMode"));
const checkIfSectionState_1 = __importDefault(require("./checkIfSectionState"));
const checkIfSectionStates_1 = __importDefault(require("./checkIfSectionStates"));
const checkIfAssets = (item) => {
    if (typeof item !== 'object' ||
        Object.keys(item).length !== 4 ||
        !(0, checkIfHistory_1.default)(item.history) ||
        !(0, checkIfMode_1.default)(item.mode) ||
        !(0, checkIfSectionStates_1.default)(item.sectionStates) ||
        !(0, checkIfSectionState_1.default)(item.winner)) {
        return false;
    }
    return true;
};
exports.default = checkIfAssets;
//# sourceMappingURL=checkIfAssets.js.map