"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getIndex1DFrom2D = ({ x, y }, squareSize = 9) => {
    if (x >= squareSize || y >= squareSize) {
        throw new Error('position out of bound');
    }
    return x + y * squareSize;
};
exports.default = getIndex1DFrom2D;
//# sourceMappingURL=getIndex1DFrom2D.js.map