"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getIndex2DFrom1D = (position, squareSize = 9) => {
    if (position >= squareSize * squareSize) {
        throw new Error('position out of bound');
    }
    const x = position % squareSize;
    const y = Math.floor(position / squareSize);
    return { x, y };
};
exports.default = getIndex2DFrom1D;
//# sourceMappingURL=getIndex2DFrom1D.js.map